package types

/*
	Интерфейс для приложения
*/

// ИСервер -- интерфейс для приложения
type ИСервер interface {
	IKernel
	// Store -- хранилище приложения
	Store() IStore
	// Run -- запускает приложение в работу
	Run() error
	// ServBots -- словарь имеющихся ботов
	ServBots() IServBots
	// Gui -- возвращает объект графики
	Gui() ИГуи
}
